Subject: Re: bug#29522: rustc-1.16.0 broken after jemalloc updated to 5.0.1

From: Jelle Licht <[email-masked]>
Date: Mon, 4 Dec 2017 01:01:29 +0100

2017-11-30 23:41 GMT+01:00 Adam Van Ymeren <[email-masked]>:

> I haven't had time to dig in to this further, but in case anyone wants
> to fix rustc-1.16.0, it's broken after the upgrade of jemalloc to 5.0.1.
>
> Reverting commit 475b99fa5cf402430aa93a40e406e854ad2ff6e4 which reverts
> jemalloc back to 4.5.0 causes rustc to build successfully again.  It has
> been broken for some time.
>
> https://hydra.gnu.org/job/gnu/master/rustc-1.16.0.x86_64-linux
>
>
>
>
It seems that the bundled copy of jemalloc in the rustc repo is currently
pinned at 4.5.0 partially
because of this specific issue as well.

I did find an issue on the rust GH repo [0], and it seems this also affects
the nix-rust project,
who seem to have the same errors as our currently failing build [1].

A temporary workaround could be to have a custom version of jemalloc with
the c++ features disabled
by building with `--disable-cxx'. Alternatively, we could just make use of
jemalloc 4.5.0 for rustc only
until this is all sorted our by upstream.

[0]: https://github.com/rust-lang/rust/issues/43586
[1]: https://gist.github.com/marmistrz/a6e503a5491df80a493030e0a0e702d2